#!/bin/bash

. ~/.rvm/scripts/rvm
rvm use ruby-2.1.5@customresource
git add -A
git commit -m "$1"
git push
bundle exec rake build
mv pkg/customresource-elastictranscoder-0.*.gem ../repo/gems/
cd ../repo
gem generate_index .
awsrc poc1

aws s3 sync ./ s3://amplify-learning-gems/  --grants read=uri=http://acs.amazonaws.com/groups/global/AllUsers --cache-control="max-age=0, no-cache"
aws s3 sync ./ s3://gems.dev.learning.amplify.com/  --grants read=uri=http://acs.amazonaws.com/groups/global/AllUsers --cache-control="max-age=0, no-cache"

cd -
